package com.sqx.modules.material.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.material.entity.MaterialArtificer;

/**
* @author Administrator
* @description 针对表【material_artificer(物料包与技师中间表)】的数据库操作Service
* @createDate 2024-02-27 15:30:46
*/
public interface MaterialArtificerService extends IService<MaterialArtificer> {

    Result insertMaterialArtificer(MaterialArtificer materialArtificer);

    Result materialArtificerDelete(MaterialArtificer materialArtificer);

    Result materialArtificerUpdata(MaterialArtificer materialArtificer);

    String accomplishOrders(Long MessageTypeId, Long artificerId);

    void changePay(Long id, Long userId, Integer number);
}
